import { Collection, Database } from "https://deno.land/x/mongo@v0.31.2/mod.ts";
import Image from "./models/Image.ts";
import User from "./models/User.ts";

export default class AppDatabase {
    public readonly db: Database;
    public readonly users: Collection<User>;
    public readonly images: Collection<Image>;

    public constructor(db: Database) {
        this.db = db;
        this.users = db.collection('users');
        this.images = db.collection('images');
    }
}